@charset "utf-8";
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard.min.css");

:root {
  --header-height: 56px;
}

/*====================
  BASE
====================*/

* {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  min-height: 600px;
  overflow-x: hidden;
}

body {
  margin: 0;
  font-family: "Pretendard";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  width: 100%;
  color: #111;
  font-size: 14px;
  letter-spacing: -0.6px;
  line-height: 1.7;
  overflow-x: hidden;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

ol,
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

b {
  font-weight: 500;
}

a:hover,
a:active,
a:focus {
  text-decoration: none;
}

p {
  margin: 0;
}

button {
  background: inherit;
  border: none;
  box-shadow: none;
  border-radius: 0;
  padding: 0;
  overflow: visible;
  cursor: pointer;
}

/*====================
  GLOBAL
====================*/
.bg__gray {
  background-color: #f3f5f9;
}

.bg__gray1 {
  background-color: #f9fafb;
}

.bg__blue {
  background-color: #6388c5;
}

.caution {
  color: #c8c8c8;
  font-size: 9px;
  margin: 30px 0 0;
}

/*====================
  HEADER
====================*/
.header {
  width: 100%;
  padding: 16px 20px;
  position: fixed;
  z-index: 999;
  background: rgba(255, 255, 255, 0.3);
  -webkit-backdrop-filter: blur(50px); /* For Safari */
  backdrop-filter: blur(50px);
}

.header .header__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__nav__wrapper {
  display: flex;
  align-items: center;
  gap: 16px;
}

.header__logo {
  width: 144px;
  height: 16px;
}

.header__nav .link {
  display: none; /* 1280px 미만에서 기본적으로 숨김 */
}

.header__nav .link:last-child {
  display: flex; /* 광고문의는 항상 보이게 */
}

.link a {
  font-size: 16px;
  font-weight: 500;
}

.link a:hover {
  color: #2d80eb;
  transition: color 0.3s ease;
}

.link__ads {
  display: flex;
  padding: 6px 10px;
  border-radius: 4px;
  background-color: #484e57;
  align-items: center;
}

.header__nav .link__ads a {
  font-size: 12px;
  font-weight: 600;
  line-height: 12px !important;
  letter-spacing: -0.25px;
  color: #ffffff;
}

.header__nav .link__ads:hover {
  background-color: #111;
  transition: background-color 0.3s ease;
}

.scroll-to-top {
  display: flex;
  width: 24px;
  height: 24px;
  align-items: center;
  justify-content: center;
  border: 1px solid #9fa6ae;
  border-radius: 4px;
  transition: border-color 0.3s ease, color 0.3s ease;
}

.scroll-to-top-icon {
  width: 6.33px;
  height: 9px;
  object-fit: contain;
}

.scroll-to-top:hover {
  filter: invert(52%) sepia(68%) saturate(5232%) hue-rotate(200deg)
    brightness(97%) contrast(90%);
  border-color: #2d80eb;
}
/*====================
  Scroll
====================*/
/* 초기 상태 스타일 */
.scroll-animation {
  opacity: 0;
  transform: translateY(50px);
  transition: opacity 0.8s, transform 0.8s;
}

.scroll-animation.active {
  opacity: 1;
  transform: translateY(0);
}

/*====================
  Page
====================*/
/* Page 1 - Main */
#background-wrapper {
  position: relative;
  overflow: hidden; /* 요소 밖으로 나간 공은 보이지 않음 */
  width: 100%; /* 적절한 너비 설정 */
}

#main {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.ball {
  position: absolute;
  border-radius: 50%;
  opacity: 0;
}

.main__container {
  display: flex;
  width: 100%;
  padding-top: calc(var(--header-height) + 232px);
  padding-bottom: 80px;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 1;
}

.top__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-bottom: 203px;
}

.sub__text {
  padding-bottom: 32px;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 1;
  letter-spacing: -0.15px;
  color: #111111;
  opacity: 0;
  visibility: hidden;
}

.main__name {
  display: block;
  text-align: center;
  position: relative;
  font-size: 28px;
  font-style: normal;
  font-weight: 800;
  line-height: 1;
  letter-spacing: -0.15px;
  color: #111111;
  opacity: 0;
  visibility: hidden;
}

.text__wrapper > div {
  overflow: hidden;
}

.main__content__button__wrapper {
  margin-top: 64px;
}

.main__content__button {
  display: flex;
  padding: 8px 40px;
  justify-content: center;
  align-items: center;
  gap: 6px;
  border-radius: 60px;
  background: #2d80eb;
  color: #ffffff !important;
  text-decoration: none;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  line-height: 160%;
  font-style: normal;
  transition: background 0.3s ease, color 0.3s ease;
  opacity: 0;
  visibility: hidden;
}

.main__content__button:hover {
  background: #1d318b;
  color: #fff;
}

.main__content__alert {
  align-items: center;
  display: flex;
  flex-direction: column;
}

.main__content__alert p {
  padding-bottom: 8px;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
  letter-spacing: -0.25px;
  color: rgba(29, 49, 139, 0.72);
}

.main__content__alert a {
  color: #2d80eb;
  font-size: 12px;
  font-weight: 600;
  line-height: 160%;
  text-align: center;
  text-decoration: none; /* 기본 밑줄 제거 */
  background: linear-gradient(to right, #2d80eb 100%, #2d80eb 100%);
  background-size: 0% 2px; /* 초기 배경 크기: 밑줄 없음 */
  background-position: bottom;
  background-repeat: no-repeat;
  transition: background-size 0.3s ease, color 0.3s ease;
}

.main__content__alert a:hover {
  background-size: 100% 2px; /* 호버 시 밑줄 확장 */
}

.animate {
  opacity: 0;
  transform: translateX(-50px);
  transition: all 1s ease-out;
}

.animate.left {
  transform: translateX(-50px);
}

.animate.right {
  transform: translateX(50px);
}

.animate.fadeIn {
  opacity: 0;
  transform: translateY(50px);
}

/* 애니메이션 트리거 클래스 */
.animate.to__right {
  opacity: 1;
  transform: translateX(0);
}

.animate.to__left {
  opacity: 1;
  transform: translateX(0);
}

.animate.to__fadeIn {
  opacity: 1;
  transform: translateY(0);
}

.circle__fadeInUp {
  animation: circleFadeInUp 1.5s cubic-bezier(0.22, 1, 0.36, 1) forwards !important;
}

.text__fadeIn {
  animation: textFadeIn 1s ease-in-out forwards;
}

.text__name__fadeIn {
  animation: textFadeIn 0.8s ease-in-out forwards;
}

/*====================
  MEDIA QUERIES
====================*/
@media (min-width: 768px) {
  :root {
    --header-height: 88px; /* 기본 헤더 높이 */
  }
  /* header */
  .header {
    padding: 26px 80px;
  }

  .link__ads {
    padding: 6px 16px;
    border-radius: 6px;
  }

  .header__nav .link__ads a {
    font-size: 15px;
    line-height: 140% !important;
  }

  .scroll-to-top {
    width: 36px;
    height: 36px;
    border: 1.2px solid #9fa6ae;
  }

  .scroll-to-top-icon {
    width: 9.2px;
    height: 13.2px;
    object-fit: contain;
  }

  /* Page 1 - Main */
  .main__container {
    padding-top: calc(var(--header-height) + 344px);
  }

  .top__container {
    padding-bottom: 291px;
  }

  .sub__text {
    font-size: 24px;
    font-weight: 400;
    line-height: 1;
    letter-spacing: -0.25px;
  }

  .main__name {
    font-size: 48px;
    font-weight: 800;
    line-height: 1;
    letter-spacing: -0.25px;
  }

  .main__content__button__wrapper {
    margin-top: 104px;
  }

  .main__content__button {
    padding: 16px 64px;
    border-radius: 100px;
    font-size: 24px;
  }

  .main__content__alert p {
    padding-bottom: 8px;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 25.6px */
    letter-spacing: -0.25px;
  }

  .main__content__alert a {
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 160%;
  }
}

@media (min-width: 1280px) {
  /* header */
  .header {
    padding: 0;
  }
  .header .header__wrapper {
    max-width: 1024px;
    margin: 0 auto;
    align-items: center;
  }

  .header__nav {
    margin-left: auto;
  }

  .header__nav ul {
    display: flex;
    align-items: center;
  }

  .header__nav ul .link {
    display: flex;
    padding: 32px 24px;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: -0.25px;
  }

  .header__nav ul li a {
    color: #626972;
  }

  /* Page 1 - Main */
  .main__container {
    padding-top: calc(var(--header-height) + 188px);
    padding-bottom: 80px;
  }
  .top__container {
    padding-bottom: 189px;
  }
}

/* '주요기능' 이미지 슬라이드 애니메이션 */
@keyframes LeftToRight {
  from {
    opacity: 0;
    transform: translateX(-100%);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes RightToLeft {
  from {
    opacity: 0;
    transform: translateX(100%);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes circleFadeInUp {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: var(--final-opacity);
    transform: translateY(0);
  }
}

@keyframes textFadeIn {
  from {
    opacity: 0;
    visibility: visible;
    transform: translate3d(0, 40px, 0);
  }
  to {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }
}
